Subject: Ticket Assigned - Shipment Delay
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 07 Jan 2022 10:27:37 +0000

Hi Reenad Alosaimi,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Shipment Delay Good day,

This to follow up on my order. See attachment please.

My phone number was wrong I updated it more than 10 days ago and still
haven’t received my order. Also I called call center many times and I even
called land mark themselves and still no progress. I will raise this issue
to Ministry of commerce next week if I don’t receive my shipment.

Thank you

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3731406